Debian 8.0 "Jessie" поставляється з ядром Linux 3.16

логотип debian

Тим часом кайф і нетерпіння для користувачів цього дистрибутиву (на додаток до попереднього випуску Ubuntu 14.04 "Trusty Tahr"), Команда Debian обговорював, яку версію ядра Linux має використовуватися для наступника поточної версії Debian 7 Хрипи (яка минулого 12 липня розпочала свою оновлення 7.6, цього разу зосереджуючись на серверних утилітах).

Яку версію ядра матиме Debian Jessie?

Остаточне рішення було таким Debian 8.0 Джессі буде включати ядро ​​за замовчуванням Linux 3.16, а головною причиною, чому було обрано саме цю версію, є те, що вона вийде у серпні. Крім того, експериментальний бекпорт Debian випуск кандидатських видань Debian Jessie на випадок, якщо хтось захоче їх спробувати. В оголошенні через блог Біти від Debian, також рекомендується, щоб пакети, несумісні з ядром, повинні бути видалені зі сховища до дати заморожування, тобто 5 листопада 2014 року.

Для тих, хто вже встановив Debian Jessie, який зараз перебуває на стадії тестування, ядро ​​має бути оновлене за допомогою:

# apt-get update && apt-get upgrade

заміна поточної версії ядра (3.14).

В якості додаткової інформації згадується, що ядро ​​буде підтримуватися Ubuntu Kernel Team до приблизно квітня 2016 р., оскільки це не версія, яка належить до філії LTS, згідно kernel.org.

Для отримання додаткової інформації щодо цього я запрошую вас натиснути на посилання.


Зміст статті відповідає нашим принципам редакційна етика. Щоб повідомити про помилку, натисніть тут.

29 коментарі, залиште свій

Залиште свій коментар

Ваша електронна адреса не буде опублікований. Обов'язкові для заповнення поля позначені *

*

*

  1. Відповідальний за дані: Мігель Анхель Гатон
  2. Призначення даних: Контроль спаму, управління коментарями.
  3. Легітимація: Ваша згода
  4. Передача даних: Дані не передаватимуться третім особам, за винятком юридичних зобов’язань.
  5. Зберігання даних: База даних, розміщена в мережі Occentus Networks (ЄС)
  6. Права: Ви можете будь-коли обмежити, відновити та видалити свою інформацію.

  1.   петерчеко - сказав він

    Ну, я не знаю, що сказати ... Я думаю, що це не гарна ідея розміщувати ядро, що не є LTS, у стабільному дистрибутиві, що також буде підтримуватися хлопцями Ubuntu (без наміру образити Ubunteros) :(.

    1.    Данило - сказав він

      Те ж саме….

    2.    ОтакуЛоган - сказав він

      LTS не видається після офіційного випуску? Версії 3.10, 3.12 та 3.14 є LTS, сподіваємось, це теж. І якщо це врешті-решт не стане LTS, можливо, Debian варто подумати про перехід, оскільки заморозка Джессі, на мою думку, не коротка ...

      PS: Тепер, коли ви повернулися до Slackware, ми чекаємо на вас, Пітер, 🙂.

      1.    петерчеко - сказав він

        Загалом, до випуску відомо, чи буде ядро ​​підтримуватися довгий час, тому хлопці Debian вже знають, що версія 3.16 не буде LTS. Цікаво, що вони обирають це ядро, оскільки в жовтні цього року підтримка ядра 3.4 LTS закінчується, і з того, що я знаю, новий LTS надійде з ядром 3.18 саме в жовтні :).

        Щодо навчальних посібників, я вже робив одну про Slackware три місяці тому: https://blog.desdelinux.net/despues-instalar-slackware/

        Переглянувши його, він трохи застарів щодо vlc, libreoffice та oracle jdk .. Нічого, що не виправляє погляд на slackbuilds.org для libreoffice та jdk, а для vlc досить завантажити та встановити пакети npapi-vlc та vlc сторінки:

        32 біти
        http://www.slackware.com/~alien/slackbuilds/vlc/pkg/14.1/npapi-vlc-20140226-i486-1alien.txz
        http://www.slackware.com/~alien/slackbuilds/vlc/pkg/14.1/vlc-2.1.4-i486-1alien.txz

        64 біти
        http://www.slackware.com/~alien/slackbuilds/vlc/pkg64/14.1/npapi-vlc-20140226-x86_64-1alien.txz
        http://www.slackware.com/~alien/slackbuilds/vlc/pkg64/14.1/vlc-2.1.4-x86_64-1alien.txz

        Вітаю 😀

      2.    ОтакуЛоган - сказав він

        Тоді, я думаю, деякі LTS анонсуються після їх випуску. 3.12 не збирався бути, і, думаю, його оголосили, коли 3.13 вже вийшов. У будь-якому випадку, якщо 3.18 буде LTS, і це в жовтні, я не розумію, чому вони не вкладають цей, якщо Джессі не заморозить на короткий час (що я повторюю, здається, що часи заморожування будуть довшими і останніми це було більше 8 місяців).

        І я ціную цей підручник, але є речі, яких важко дотримуватися в Slackware. Наприклад, мультиархітектура для встановлення 32-розрядних програм: те, що з’являється на вікі - це пекельний процес, із своєрідним остаточним сценарієм, який запускається кожного разу, коли ви хочете встановити щось у 32-розрядному, дуже складно для мене. Або як зробити чисту установку без зайвих пакетів, наприклад, підтримку продуктів HP (наприклад, її можна було б знайти, але є й інші непотрібні речі, яких це не робить, як усі робочі столи, які встановлюються за замовчуванням). Веб-сайти з мінімальними списками встановлення в Slackware є попередніми версіями, я не бачив жодного з 14.1. Я не новачок, але подібні речі викликають у мене велику повагу ...

      3.    петерчеко - сказав він

        Ну, у програмі встановлення Slackware це дає вам можливість зробити вибір пакетів A, AP, D, F, K, L, N та X. Ви можете зробити це, вибравши замість опції "повний" опцію "меню" ». До цього слід додати групу KDE та KDEI, якщо ви хочете мати KDE як середовище, або групу XAP, якщо ви хочете мати XFCE або якусь іншу. Групу ігор (Y) я ігнорую. Після вибору цих груп ви будете підбирати пакет за пакетом у межах груп. Як правило, усі пакети груп A, AP, D, F, K, L, N та X слід залишати позначеними. Зосередьтеся на групах KDE, KDEI або XAP, і тут ви повинні вибрати той, який ви хочете встановити, чи не вже що є багато ігор чи утиліт, які ви робите чи не потребуєте, і це залежить від кожної з них :).

        Що стосується multilib у 64-розрядній програмі Slackware, це просто. Просто відкрийте термінал, увійдіть як root і введіть:

        lftp -c 'відкрито http://slackware.com/~alien/multilib/ ; дзеркало 14.1 ′
        кд 14.1
        upgradepkg –перевстановити –install-new * .t? z
        upgradepkg –install-new slackware64-compat32 / * - compat32 / *. t? z

        І вже хто мультиліб 😀

      4.    ОтакуЛоган - сказав він

        Ну, 32-розрядна сумісність дуже важлива, у вікі Slackware процес набагато довший. Спасибі за інформацію!

      5.    петерчеко - сказав він

        Ласкаво просимо 😀

    3.    Кістки - сказав він

      відповідно до думки, яку вони мені дали, факт обрання Debian може бути достатнім підставою для того, щоб вони перетворили його на LTS

  2.   орбайо - сказав він

    Ядро 3.14 вийшло з ладу з моїм процесором iris pro 5200 та процесором i7 4750HQ. Використовуйте openSuSE 13.1. Я перестав використовувати ядро ​​tumbleweed для тих з вас, хто не знає, як забезпечити стабільність нового ядра в openSUSE. Я використовував ядро ​​tumbleweed, оскільки мав openSUSE 12.3. Ядра 3.11, 3.13 успішно пройшли.
    Наприклад, процесори в звичайних умовах становлять від 0 до 5% (зараз із відкритим хромом і 1 вкладками 20%), а для цього ядра вони встановлюються на 1 - 5%, не роблячи нічого. Найгірше, що написання файлів було ненадійним. (також з 25).
    Мені набридло пробувати нові ядра, можливо, тепер вони це вдосконалили, але, звичайно, що підтримка ядра Intel, принаймні, сумнівна, якщо вони роблять це правильно. Я купив комп’ютер з інтелектуальною (і потужною) графікою для теоретично гарної підтримки.

    Я лише сподіваюся, що дистрибутиви перевіряють свої ядра на таких комп’ютерах, як я (clevo 740su), тому що у мене відчуття, що маючи графіку, яку має дуже мало, я трохи маргіналізований.

  3.   Юкітеру - сказав він

    Ядро Debian підтримується командою ядра Ubuntu? Це жарт, так?

    Речі в Debian стають дедалі цікавішими, SystemD, ядро, що не є LTS, безглузді обговорення у списку Debian.

    1.    dhunter - сказав він

      Завжди дискусії, і, незважаючи на те, що це все ще Debian, я б не хвилювався за вас.

      1.    Юкітеру - сказав він

        Наааааа, насправді мене це не турбує, Debian залишатиметься Debian до тих пір, поки DFSG буде поважатися. Мій коментар був спрямований головним чином до суєти, яка нещодавно була створена в дистрибутиві (що певним чином я бачу позитивно, оскільки багато хто вважає, що Debian мертвий), особливо на тему SystemD, а тепер ядра не LTS, що підтримується командою ядра Ubuntu.

        У будь-якому разі, Debian завжди буде моїм улюбленим дистрибутивом, але наразі я складаю свій новий Gentoo, я подивлюсь, чи захопить мене Gentoo, чи я повернусь до країн спокою Debian.

        PS: Зараз я використовую ПК мого старого для тих, хто користується візком.

      2.    eliotime3000 - сказав він

        Не турбуйтеся про тролів UA, їх мало. Мене дивує те, що анонс у блозі Debian мав тролінг-тон (що завжди було підкреслено заявами Марка Шаттлворта 😛).

        Що стосується суєти Debian, я думаю, що це нормально, оскільки вони більше не будуть виправлені і йтимуть тим самим шляхом, що Ubuntu LTS або Slackware, які змінюють версію, як тільки виникає епічна невдача, як Heartbleed з OpenSSL, на додаток до значно оптимізувати автоматизацію оновлення, не руйнуючи попередні конфігурації (моя повага до Debian).

        І добре, оскільки ви говорите про Gentoo, ви збираєтеся поставити Юно Гасаї як тло GRUB 😀?

      3.    петерчеко - сказав він

        Привіт, друже @ eliotime3000, не ображайся, але команда Slackware використовує повністю ванільне ядро, тоді як Ubuntu використовує ядро, модифіковане ними .. У Slackware все ванільне (слава Богу 😀). Ось чому я дуже скептично ставлюся до обслуговування, яке пропонує Ubuntu. Потрібно також сказати, що в Debian я ніколи не зазнавав збоїв або паніки ядра, тоді як в Ubuntu більше одного разу :). Окрім того, що я неодноразово бачив, як вся система зламала навіть Ubuntu LTS через оновлення .. Це в Debian поки що не відбувається .. Я думаю, що команда Debian повинна зменшити активність Ubuntu в Debian .. Ми вже бачимо жахливу різницю в якості, яка існує між Debian Squeeze і Wheezy через позицію команди Ubuntu в Debian.Я впевнений, що метою команди Ubuntu є знищення Debian, оскільки вона вже має він може підтримувати свій дистрибутив, не покладаючись на пакети Debian, а Ubuntu часто несумісні з пакетами Debian.

        Вітаю і будь ласка, ця думка поширюється без наміру тролінгу: D.

      4.    Юкітеру - сказав він

        Ядро, яке підтримує Ubuntu, трохи дивне, і правда не смішне, особливо коли Ubuntu потрапляє до ядра Debian.

        І так, так @ eliotime3000 я поставлю свого обожнюваного і повністю психопата Юно як тло для мого GRUB 😀

      5.    eliotime3000 - сказав він

        Мене не бентежить те, що ти сказав, @petercheco. Як не дивно Debian використовує версію ядра Linux в якому він найчастіше нагадує linux-libre (саме тому великі краплі встановлюються окремо на основі власної прошивки), тому Ubuntu доводиться покладатися на версії Debian відповідно до своїх потреб (основна причина паніки ядра), хоча декларація Debian щодо використання ядра Ubuntu - це лише можливість, але не підтвердження.

        І якби цього було недостатньо, Ubuntu довелося б використовувати ядро ​​linux-libre, якщо воно хоче зберегти дистрибутив, який його подає з 2004 року, крім того, цим рішенням це не загрожує стабільності Debian, оскільки воно буде використовувати ядро, що підтримується з гарантією FSF, що не містить помилок, які викликають паніку ядра.

    2.    eliotime3000 - сказав він

      На даний момент вони є ймовірностями, наведеними в блозі.

      Якби це було опубліковано в сегменті "новини" або "оголошення" офіційного веб-сайту, це було б непоправно. Щонайбільше, це була гіпотеза, що вона не повинна виходити з 4 стін команди Debian, оскільки вона не була опублікована у списку розсилки.

      Зараз я насолоджуюсь Дебіаном Джессі після боротьби з ним. QTCurve в KDE 4.8 поруч із ядром 3.14 (звичайно, через бекпорт) у Debian Wheezy, і найіронічніше те, що в Jessie ви бачите, що існує справжня оптимізація цієї версії ядра.

      Тим не менше, Debian Jessie залишив мені кращий смак у роті завдяки своїй божевільній стабільності проти SystemD та XFCE як середовища робочого столу за замовчуванням (GNOME є необов’язковим залежно від того, коли я вперше та востаннє намагався встановити Debian Jessie), плюс Зараз вони беруть участь, після інерції оновлень у Squeeze та продовження Wheezy ESR-гілкою Iceweasel, тепер здається, що в наступній версії нарешті версія-реліз повернеться (хоча це не нарівні з бекпортом від Debian Mozilla, про всяк випадок).

      Ще однією гіпотезою, яку породила ця публікація в блозі Debian, було те, що вперше Debian імітував би операційний режим оновлень випусків LTS Ubuntu.

      Тим не менше, це перший раз, коли я працював у гілці тестування Debian, і я можу сказати, що він стабільніший, ніж Ubuntu. Давайте подивимось, чи на момент заморожування гілки їм нарешті вдається поставити Центр програмного забезпечення, як у Wheezy та Squeeze.

  4.   бурджани - сказав він

    Моє ядро ​​не оновлено, і я працюю на Джессі.

    1.    eliotime3000 - сказав він

      […] Експериментальний бекпорт Debian Випуск кандидатських видань тепер готовий Debian Jessie на випадок, якщо хтось захоче їх спробувати. […]

  5.   Чарльз Уайт - сказав він

    Ядро, що не є LTS, підтримується людьми Ubuntu? це, безумовно, "несподіване" рішення

    1.    eliotime3000 - сказав він

      Це припущення команди Debian. Щонайбільше, якщо ядро ​​виходить у версії LTS, вони підтвердять це в розділі новин сайту.

  6.   соус - сказав він

    Я не думаю, що це заморозить версію, я продовжуватиму тестувати, це стабільна гілка, незважаючи на назву
    Я вірю, що у мене були проблеми
    тому я сильно не хвилююся
    я був тільки розчарований gnome 3 та його поганою стабільністю
    kde, xfce та mate - настільні комп'ютери, які я тестував, і вони стабільні при тестуванні debian

    1.    eliotime3000 - сказав він

      Зараз я використовую тестування Debian, і XFCE більш стабільний у тестуванні, ніж стабільний.

  7.   linuXgirl - сказав він

    "... цього разу зосередження уваги на серверних утилітах)."

    Врешті-решт, я думаю, що Debian в кінцевому підсумку стане дистрибутивом лише для сервера ... Я бачу, на мій жаль, що команда розробників Debian майже завжди залишає без уваги користувача робочого столу. xD

    1.    eliotime3000 - сказав він

      Ну, така поведінка Debian є загальною для всіх версій (я зрозумів це, як тільки вийшло Debian Lenny Update 6), і те ж саме має відбутися в наступних версіях Debian.

  8.   Fenriz - сказав він

    Дякую за новини 😀

  9.   Debian - сказав він

    Ці debian, оскільки вони повільні, інші їдять торт виклику ubuntu, opensuse, fedora. Вони повинні бути швидшими, тому що навіть тестуючи дистрибутив, і коли він офіційно виходить пізніше, з’являється багато помилок, стільки, що у них повинно бути 7, це вже в 7.6

  10.   факундо - сказав він

    Я дуже нетерплячий до випуску цього дистрибутиву !!!! Я не можу дочекатися встановлення стабільної версії з lxde на мій бідний xD нетбук, лайно лайно лайно 30 днів !!! Залишилось 30 днів xD